# Payment OpenAPI Specification This is the documentation for the Ratepay Payment API v2. The API is still in development and subject to change. The documentation will evolve as the development of the API progresses. Version: version 2 ## Servers Ratepay Integration Platform ``` https://api-integration.ratepay.com/transaction/management ``` Ratepay Production Platform ``` https://api.ratepay.com/transaction/management ``` ## Security ### Bearer Authentication For each request, a valid access token must be provided in the Authorization header. See [Authentication API](/docs/developer/authentication/authentication) for obtaining a valid token and [Request OAuth token](/apis/authentication/openapi/authentication_api/createoauthtoken/) for details on the audience to use. Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [Payment OpenAPI Specification](https://docs.ratepay.com/_bundle/apis/compliance/openapi/compliance_api.yaml) ## Other ### Generate SECCI document - [POST /v2/compliance/secci](https://docs.ratepay.com/apis/compliance/openapi/compliance_api/other/generatesecci.md): Generate a Standard European Consumer Credit Information (SECCI) document for CCD2 compliance. Delivery Methods: - PDF: Returns the PDF document content. Use action: download for eCom flows or action: print for POS flows. - EMAIL: Sends the SECCI document via email. Response: - For PDF delivery: Returns application/pdf binary content - For EMAIL delivery: Returns a JSON payload containing the email trigger result and SECCI ID. All responses include the compliance JWT in the X-Attestation-Token header. It must be passed with the subsequent Payment API transaction request in the attestation_token field.